package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.EnumMenuItem;
import com.ruoyi.predict.mapper.EnumMenuItemMapper;
import com.ruoyi.predict.service.IEnumMenuItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * EnumMenuItemService业务层处理
 *
 * @author hlf
 * @date 2021-07-07
 */
@Service
public class EnumMenuItemServiceImpl implements IEnumMenuItemService {
    @Autowired(required = false)
    private EnumMenuItemMapper enumMenuItemMapper;

    /**
     * 查询EnumMenuItem
     *
     * @param itemNo EnumMenuItemID
     * @return EnumMenuItem
     */
    @Override
    public EnumMenuItem selectEnumMenuItemById(Long itemNo) {
        return enumMenuItemMapper.selectEnumMenuItemById(itemNo);
    }

    /**
     * 查询EnumMenuItem列表
     *
     * @param enumMenuItem EnumMenuItem
     * @return EnumMenuItem
     */
    @Override
    public List<EnumMenuItem> selectEnumMenuItemList(EnumMenuItem enumMenuItem) {
        return enumMenuItemMapper.selectEnumMenuItemList(enumMenuItem);
    }

    @Override
    public EnumMenuItem selectEnumMenuItemByMenuNo(Long menuNo, Long itemNo) {
        return enumMenuItemMapper.selectEnumMenuItemByMenuNo(menuNo, itemNo);
    }

    @Override
    public List<EnumMenuItem> selectEnumMenuItemByMenuNoList(Long menuNo) {
        return enumMenuItemMapper.selectEnumMenuItemByMenuNoList(menuNo);
    }
}
